org.apache.ode.axis2.hooks

## Class ODEAxisService.WSDL11ToAxisPatchedBuilder

- java.lang.Object
- - org.apache.axis2.description.WSDLToAxisServiceBuilder
  - - org.apache.axis2.description.WSDL11ToAxisServiceBuilder
    - - org.apache.ode.axis2.hooks.ODEAxisService.WSDL11ToAxisPatchedBuilder

- Enclosing class:
    ODEAxisService

      public static class ODEAxisService.WSDL11ToAxisPatchedBuilder
      extends org.apache.axis2.description.WSDL11ToAxisServiceBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.axis2.description.WSDL11ToAxisServiceBuilder

      `org.apache.axis2.description.WSDL11ToAxisServiceBuilder.WSDLProcessingException`

  - ### Field Summary

    - ### Fields inherited from class org.apache.axis2.description.WSDL11ToAxisServiceBuilder

      `BINDING_TYPE_HTTP, BINDING_TYPE_SOAP, COMPONENT_BINDING, COMPONENT_MESSAGE, COMPONENT_PORT_TYPE, DOCUMENT_STYLE, ENCODED_USE, log, NAMESPACE_DECLARATION_PREFIX, NAMESPACE_URI, portName, RPC_STYLE, TRAGET_NAMESPACE, WRAPPED_OUTPUTNAME_SUFFIX, wsdl4jDefinition, wsdlBaseDocumentURI, XML_NAMESPACE_URI`

    - ### Fields inherited from class org.apache.axis2.description.WSDLToAxisServiceBuilder

      `AXIS2WRAPPED, axisConfig, axisService, in, isCodegen, isServerSide, nsCount, registry, resolvedRpcWrappedElementMap, serviceName, style, TYPES, XML_SCHEMA_COMPLEX_TYPE_LOCAL_NAME, XML_SCHEMA_ELEMENT_LOCAL_NAME, XML_SCHEMA_IMPORT_LOCAL_NAME, XML_SCHEMA_LOCAL_NAME, XML_SCHEMA_SEQUENCE_LOCAL_NAME, XMLNS_AXIS2WRAPPED, XMLSCHEMA_NAMESPACE_PREFIX, XMLSCHEMA_NAMESPACE_URI, XSD_ELEMENT_FORM_DEFAULT, XSD_NAME, XSD_REF, XSD_TARGETNAMESPACE, XSD_TYPE, XSD_UNQUALIFIED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ODEAxisService.WSDL11ToAxisPatchedBuilder(javax.wsdl.Definition def, javax.xml.namespace.QName serviceName, java.lang.String portName)`
    `ODEAxisService.WSDL11ToAxisPatchedBuilder(javax.wsdl.Definition def, javax.xml.namespace.QName serviceName, java.lang.String portName, boolean isAllPorts)`
    `ODEAxisService.WSDL11ToAxisPatchedBuilder(java.io.InputStream in)`
    `ODEAxisService.WSDL11ToAxisPatchedBuilder(java.io.InputStream in, org.apache.axis2.description.AxisService service)`
    `ODEAxisService.WSDL11ToAxisPatchedBuilder(java.io.InputStream in, javax.xml.namespace.QName serviceName, java.lang.String portName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.ws.commons.schema.XmlSchema` | `getXMLSchema(org.w3c.dom.Element element, java.lang.String baseUri)`

    - ### Methods inherited from class org.apache.axis2.description.WSDL11ToAxisServiceBuilder

      `getDocumentBaseUri, getPrefix, getTypeName, isAllPorts, populateService, setAllPorts, setCustomWSDLResolver, setCustomWSLD4JResolver, setDocumentBaseUri, setup`

    - ### Methods inherited from class org.apache.axis2.description.WSDLToAxisServiceBuilder

      `createHttpLocationTable, findSchemaPrefix, getBaseUri, getDOMDocumentBuilder, getServiceName, getTemporaryNamespacePrefix, isCodegen, isServerSide, replace, setBaseUri, setCodegen, setCustomResolver, setPolicyRegistryFromService, setServerSide, setServiceName, stackToString, stackToString, useAxisConfiguration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ODEAxisService.WSDL11ToAxisPatchedBuilder

          public ODEAxisService.WSDL11ToAxisPatchedBuilder(java.io.InputStream in,
                                                   javax.xml.namespace.QName serviceName,
                                                   java.lang.String portName)

    - #### ODEAxisService.WSDL11ToAxisPatchedBuilder

          public ODEAxisService.WSDL11ToAxisPatchedBuilder(javax.wsdl.Definition def,
                                                   javax.xml.namespace.QName serviceName,
                                                   java.lang.String portName)

    - #### ODEAxisService.WSDL11ToAxisPatchedBuilder

          public ODEAxisService.WSDL11ToAxisPatchedBuilder(javax.wsdl.Definition def,
                                                   javax.xml.namespace.QName serviceName,
                                                   java.lang.String portName,
                                                   boolean isAllPorts)

    - #### ODEAxisService.WSDL11ToAxisPatchedBuilder

          public ODEAxisService.WSDL11ToAxisPatchedBuilder(java.io.InputStream in,
                                                   org.apache.axis2.description.AxisService service)

    - #### ODEAxisService.WSDL11ToAxisPatchedBuilder

          public ODEAxisService.WSDL11ToAxisPatchedBuilder(java.io.InputStream in)

  - ### Method Detail

    - #### getXMLSchema

          protected org.apache.ws.commons.schema.XmlSchema getXMLSchema(org.w3c.dom.Element element,
                                                            java.lang.String baseUri)

      Overrides:
        `getXMLSchema` in class `org.apache.axis2.description.WSDLToAxisServiceBuilder`